﻿@charset "utf-8";
/* CSS Document */

* {
	margin:0;
	padding:0;	
}

.clearfix:after {
    content: ".";
    display: block;
    clear: both;
    visibility: hidden;
    line-height: 0;
    height: 0;
}
 
.clearfix {
    display: inline-block;
}
 
html[xmlns] .clearfix {
    display: block;
}
 
* html .clearfix {
    height: 1%;
}

#contenedor_principal {
	position:relative;
	overflow:hidden;
}
#contenedor_general {
	position:absolute;
	top:0;left:0;
	transition:top .7s ease-out, left .7s ease-out, right .7s ease-out, background-color .7s ease-out;
	-moz-transition:top .7s ease-out, left .7s ease-out, right .7s ease-out, background-color .7s ease-out;
	-webkit-transition:top .7s ease-out, left .7s ease-out, right .7s ease-out, background-color .7s ease-out;
	-ms-transition:top .7s ease-out, left .7s ease-out, right .7s ease-out, background-color .7s ease-out;
}

#menu {
	position:fixed;
	top:0;left:0;
}

section {
	position:relative;
	float:left;
}
section > img {
	position:relative;
}

#sitio_top{
	background:url(../img/estrellas.png);
}

.img_responsive {
	max-width:100%;
	width:auto;
	height:auto;
}


/*EFECTO ESCALA DE GRISES*/
.grises img {
filter: url('#grayscale'); /* Versión SVG para IE10, Chrome 17, FF3.5, Safari 5.2 and Opera 11.6 */
-webkit-filter: grayscale(100%);
filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#grayscale"); /* Firefox 3.5+ */
-moz-filter: grayscale(100%);
-ms-filter: grayscale(100%);
-o-filter: grayscale(100%);
filter: grayscale(100%); /* Para cuando es estándar funcione en todos */
filter: Gray(); /* IE4-8 and 9 */

-webkit-transition: all 0.5s ease;
-moz-transition: all 0.5s ease;
-ms-transition: all 0.5s ease;
-o-transition: all 0.5s ease;
transition: all 0.5s ease;
}
.grises img:hover { 
-webkit-filter: grayscale(0%);
-moz-filter: grayscale(0%);
-ms-filter: grayscale(0%);
-o-filter: grayscale(0%);
filter: none;

-webkit-transition: all 0.5s ease;
-moz-transition: all 0.5s ease;
-ms-transition: all 0.5s ease;
-o-transition: all 0.5s ease;
transition: all 0.5s ease;
}

section > .menu {
	margin-top:170px;
}

.menu {
	position:relative;
	margin: 0 auto;
	max-width: 850px;
	z-index: 999;
}

.menu li {
	float:left;
	height:400px;
	list-style-type:none;
	overflow:hidden;
	cursor:pointer;
	border: solid 4px #fff;
}

.menu li img {
	position: relative;
	bottom:115px;
	width:200px;
	border:solid 2px #fff;
}
.menu li:hover img {
	bottom: 10px;
}


a.enlace {
	position:absolute;
	z-index: 5;
}

a.izquierda {
	top:50%;right:50px;
}
a.arriba {
	bottom:50px;right:50%;
}
a.derecha {
	top:50%;left:50px;
}
a.abajo {
	top:30px;right:50%;
}

.menu a.arriba {
	bottom: -475px;right: 300px;
}
.menu a.izquierda {
	top: 200px;right: -60px;
}
.menu a.derecha {
	top: 200px;left: -60px;
}
.menu a.abajo {
	top: -60px;right: 510px;
}

span.botones_menu {
	display:block;
	width:204px;
	height:40px;
	padding-top:10px;
	font:bold 14px fedraninebold;
	color:#fff;
	text-align:center;
	text-transform:uppercase;
}
.menu_verde {
	background:#39b34a;
}
.menu_celeste {
	background:#0b8dd0;
}
.menu_rojo {
	background:#b02306;
}
.menu_amarillo {
	background:#ffb42b;
}


.chico {
	position:fixed;
	bottom:50px;right:50px;
	z-index:9999;
}
.chico li {
	position:relative;
	float:left;
	margin-left:10px;
	list-style-type:none;
	background-size:cover;
}
.chico li:before {
	position:absolute;
	width: 250px;
	color:#fff;
	font:bold 23px fedraninebold;
	text-shadow:1px 2px 6px #000;
	-webkit-transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-ms-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	transition: all 0.5s ease;
}
.chico li:nth-child(1):hover:before {
	content: 'Diseño Gráfico';
	bottom: 70px;
	opacity:1;
}
.chico li:nth-child(2):hover:before {
	content: 'Programación';
	bottom: 70px;
	opacity:1;
}
.chico li:nth-child(3):hover:before {
	content: 'Diseño Web';
	bottom: 70px;
	right:-90px;
	opacity:1;
}
.chico li:nth-child(4):hover:before {
	content: 'Sobre mi';
	bottom: 70px;
	right:-90px;
	opacity:1;
}



/**********************************************************/
/************************* PIE ****************************/
/**********************************************************/
#sitio_pie {
	position: relative;
	background:url(../img/fondo_pie.gif) repeat-x bottom;
}

#habilidades {
	width: 100%;
	position: absolute;
	bottom: 35px;
}

#habilidades:before {
	content: 'Habilidades';
	margin-left: 20px;
	font: bold 36px fedraninebold;
	text-transform: uppercase;
	top: 11px;
	color: #FFF;
	text-shadow: 5px 0px 0px #1EBB5C;
	position: relative;
}

#habilidades h3 {
	font: bold 24px fedraninebold;
	color: #fff;
	position: relative;
	top: 45px;
	margin-left: 60px;
	text-shadow: 7px 7px 8px #000000;
}

#habilidades li {
	margin-bottom: 35px;
	height: 55px;
	background:url(../img/habilidades_00.png) repeat-x bottom;
}

#habilidades li:after {
	display: block;
	content: '';
	width: 23px;
	height: 50px;
	float: right;
	position: relative;
	top: 5px;right: -18px;
	background:url(../img/habilidades_01.png) repeat-x bottom;
}

#habilidades li:nth-child(2) {
	width: 500px;
}

#habilidades li:nth-child(4) {
	width: 700px;
}

#habilidades li:nth-child(6) {
	width: 800px;
}

#habilidades li:nth-child(8) {
	width: 350px;
}

div.sobre_mi {
	width: 350px;
	margin-top: 110px;
	text-align: right;
	right: 100px;
	color: #fff;
	font: 14px arial;
	line-height: 20px;
	background: #fff;
	padding: 20px;
	-webkit-transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-ms-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	transition: all 0.5s ease;
	-ms-transform: skew(-10deg,10deg); /* IE 9 */
	-webkit-transform: skew(-10deg,10deg); /* Chrome, Safari, Opera */
	transform: skew(-10deg,10deg);
	z-index: 99999;
}


div.sobre_mi h3 {
	font: bold 24px fedraninebold;
	color: #000;
	margin-left: 60px;
	margin-bottom: 20px;
}

div.sobre_mi p {
	line-height: 18px;
	font-size: 12px;
	margin-bottom: 20px;
	color: #000;
}


div.sobre_mi:hover {
   animation: moverMontania1 paused;
   -moz-animation: moverMontania1 paused;
   -ms-animation: moverMontania1 paused;
   -webkit-animation: moverMontania1 paused;
	-ms-transform: skew(0deg,0deg); /* IE 9 */
	-webkit-transform: skew(0deg,0deg); /* Chrome, Safari, Opera */
	transform: skew(0deg,0deg);
}


/**********************************************************/
/********************** FORMULARIO ************************/
/**********************************************************/
#formulario {
	position: relative;
	top: 200px;
	left: 100px;
}

a.contacto {
	position: fixed;
	top: 200px;
	right: -170px;
	z-index: 1000;
	-webkit-transition: all 0.5s ease-out;
	-moz-transition: all 0.5s ease-out;
	-ms-transition: all 0.5s ease-out;
	-o-transition: all 0.5s ease-out;
	transition: all 0.5s ease-out;
	z-index: 999999;
}

img.contacto {
	width: 100px;
	height: auto;
}

a.contacto:hover {
	right: 60px;
}


a.contacto:before {
	position: relative;
	display: block;
	opacity: 0;
	content: 'Contáctame';
	width: 250px;
	color:#fff;
	font:bold 23px fedraninebold;
	text-shadow:1px 2px 6px #000;
	bottom: -75px;
	left: 110px;
	opacity:1;
	-webkit-transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-ms-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	transition: all 0.5s ease;
}

a.contacto:hover :before {
	opacity: 1;
}


.contemplar, .contemplar1, .contemplar2 {
	position: absolute;
	top: 10px;
	right:10px;
	z-index: 999;
	cursor: pointer;
}

.game {
	position: absolute;
	display: block;
	top: 0;left: 0;
	z-index: 9999;
	cursor: pointer;
}

.logo {
	position:fixed;
	display:block;
	width:300px;
	height:125px;
	top:40px;left:40px;
	z-index:99;
	background:url(../img/logo.png) no-repeat left;
	-webkit-transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-ms-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	transition: all 0.5s ease;
	background-size:cover;
}

@-webkit-keyframes moverMontania {
  0%   { top: -50px; }
  50% { top: 50px; }
  100% { top: -50px; }
}
@-moz-keyframes moverMontania {
  0%   { top: -50px; }
  50% { top: 50px; }
  100% { top: -50px; }
}
@-o-keyframes moverMontania {
  0%   { top: -50px; }
  50% { top: 50px; }
  100% { top: -50px; }
}
@keyframes moverMontania {
  0%   { top: -50px; }
  50% { top: 50px; }
  100% { top: -50px; }
}

.moverMontania {
	position:absolute;
   animation: moverMontania 30s ease-out infinite;
   -moz-animation: moverMontania 30s ease-out infinite;
   -ms-animation: moverMontania 30s ease-out infinite;
   -webkit-animation: moverMontania 30s ease-out infinite;
   z-index: 1;
}
.moverMontania1 {
	position:absolute;
   animation: moverMontania 10s ease-in infinite;
   -moz-animation: moverMontania 10s ease-in infinite;
   -ms-animation: moverMontania 10s ease-in infinite;
   -webkit-animation: moverMontania 10s ease-in infinite;
   z-index: 1;
}

#nubes .nube:nth-child(1) {
	top:30%;left:3%;
}

#nubes .nube:nth-child(2) {
	top:60%;left:64%;
}

#nubes .nube:nth-child(3) {
	top:55%;left:75%;
}

#nubes .nube:nth-child(4) {
	top:50%;left:96%;
}

#nubes .nube:nth-child(5) {
	top:45%;left:24%;
}

#nubes .nube:nth-child(6) {
	top:750%;left:30%;
}

#nubes .nube:nth-child(7) {
	top:46%;left:1%;
}

#nubes .nube:nth-child(8) {
	top:39%;left:15%;
}

#nubes .nube:nth-child(9) {
	top:49%;left:19%;
}

#nubes .nube:nth-child(10) {
	top:45%;left:58%;
}

.nube {
	position:absolute;
	top:50%;left:0;
	-webkit-transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-ms-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	transition: all 0.5s ease;
}

@media screen and (max-width:850px) {


	.oculto_sm {
		display: none;
	}

	.grises img {
	-webkit-filter: grayscale(0%);
	-moz-filter: grayscale(0%);
	-ms-filter: grayscale(0%);
	-o-filter: grayscale(0%);
	filter: none;
	}

	.menu li img {
		bottom: 150%;
		width: 71%;
		float: left;
	}

	.menu li {
		display: block;
		width: 100%;
		float: none;
		height: 190px;
		border: solid 4px #fff;
	}

	span.botones_menu {
		width: 28%;
		height: 100%;
		padding-top: 10%;
		float: left;
		font-size: 24px;
	}

	span.menu_celeste {
		font-size: 18px;
	}

	/**********************************************************/
	/************************* PIE ****************************/
	/**********************************************************/

	#habilidades li:nth-child(2) {
		width: 300px;
	}

	#habilidades li:nth-child(4) {
		width: 500px;
	}

	#habilidades li:nth-child(6) {
		width: 600px;
	}

	#habilidades li:nth-child(8) {
		width: 150px;
	}

}

@media screen and (max-width:500px) {

	.grises img {
		display: none;
	}

	.menu li {
		width: auto;
	}

	span.botones_menu {
		width: 100%;
	}

	span.menu_celeste {
		font-size: 24px;
	}

	.menu li {
		height: 100px;
	}


	.logo {
		top:40px;left:10%;
	}

	a.contacto {
		position: fixed;
		top: 100px;
		right: -170px;
	}

	/**********************************************************/
	/************************* PIE ****************************/
	/**********************************************************/

	#habilidades li {
		text-align: center;
		background:none;
	}
	#habilidades h3 {
		text-align: center;
	}

	#habilidades li:after {
		background:none;
	}
}


@media screen and (max-width:340px) {

	.menu li {
		height: 60px;
	}
}


@media screen and (max-width:240px) {

	section > .menu {
		margin-top: 170px;
	}

	.menu li {
		height: 27px;
	}

	span.menu_celeste {
		font-size: 12px !important;
	}

}